<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_06) on Wed Aug 20 17:16:43 PDT 2008 -->
<TITLE>
Join (Google Collections Library - snapshot-20080820 (ALPHA))
</TITLE>

<META NAME="keywords" CONTENT="com.google.common.base.Join class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Join (Google Collections Library - snapshot-20080820 (ALPHA))";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/google/common/base/Functions.html" title="class in com.google.common.base"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/google/common/base/Join.JoinException.html" title="class in com.google.common.base"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/google/common/base/Join.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Join.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
com.google.common.base</FONT>
<BR>
Class Join</H2>
<PRE>
<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>com.google.common.base.Join</B>
</PRE>
<HR>
<DL>
<DT><PRE>public final class <B>Join</B><DT>extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
Utility for joining pieces of text separated by a delimiter. It can handle
 iterators, collections, arrays, and varargs, and can append to any
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang"><CODE>Appendable</CODE></A> or just return a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang"><CODE>String</CODE></A>. For example,
 <code>join(":", "a", "b", "c")</code> returns <code>"a:b:c"</code>.

 <p>All methods of this class throw <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang"><CODE>NullPointerException</CODE></A> when a value
 of <code>null</code> is supplied for any parameter. The elements within the
 collection, iterator, array, or varargs parameter list <i>may</i> be null --
 these will be represented in the output by the string <code>"null"</code>.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>Kevin Bourrillion</DD>
</DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/base/Join.JoinException.html" title="class in com.google.common.base">Join.JoinException</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Exception thrown in response to an <A HREF="http://java.sun.com/javase/6/docs/api/java/io/IOException.html" title="class or interface in java.io"><CODE>IOException</CODE></A> from the supplied
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang"><CODE>Appendable</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/base/Join.html#join(java.lang.String, java.lang.Iterable)">join</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;?&gt;&nbsp;tokens)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string containing the <code>tokens</code>, converted to strings if
 necessary, separated by <code>delimiter</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/base/Join.html#join(java.lang.String, java.util.Iterator)">join</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;?&gt;&nbsp;tokens)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string containing the <code>tokens</code>, converted to strings if
 necessary, separated by <code>delimiter</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/base/Join.html#join(java.lang.String, java.lang.Object[])">join</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;tokens)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string containing the <code>tokens</code>, converted to strings if
 necessary, separated by <code>delimiter</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/base/Join.html#join(java.lang.String, java.lang.Object, java.lang.Object...)">join</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;firstToken,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>...&nbsp;otherTokens)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string containing the <code>tokens</code>, converted to strings if
 necessary, separated by <code>delimiter</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/base/Join.html#join(java.lang.String, java.lang.String, java.util.Map)">join</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;keyValueSeparator,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;entryDelimiter,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;?,?&gt;&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string containing the contents of <code>map</code>, with entries
 separated by <code>entryDelimiter</code>, and keys and values separated with
 <code>keyValueSeparator</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>&gt;
<BR>
T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/base/Join.html#join(T, java.lang.String, java.lang.Iterable)">join</A></B>(T&nbsp;appendable,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;?&gt;&nbsp;tokens)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Appends each of the <code>tokens</code> to <code>appendable</code>, separated by
 <code>delimiter</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>&gt;
<BR>
T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/base/Join.html#join(T, java.lang.String, java.util.Iterator)">join</A></B>(T&nbsp;appendable,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;?&gt;&nbsp;tokens)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Appends each of the <code>tokens</code> to <code>appendable</code>, separated by
 <code>delimiter</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>&gt;
<BR>
T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/base/Join.html#join(T, java.lang.String, java.lang.Object[])">join</A></B>(T&nbsp;appendable,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;tokens)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Appends each of the <code>tokens</code> to <code>appendable</code>, separated by
 <code>delimiter</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>&gt;
<BR>
T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/base/Join.html#join(T, java.lang.String, java.lang.Object, java.lang.Object...)">join</A></B>(T&nbsp;appendable,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;firstToken,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>...&nbsp;otherTokens)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Appends each of the <code>tokens</code> to <code>appendable</code>, separated by
 <code>delimiter</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>&gt;
<BR>
T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/base/Join.html#join(T, java.lang.String, java.lang.String, java.util.Map)">join</A></B>(T&nbsp;appendable,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;keyValueSeparator,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;entryDelimiter,
     <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;?,?&gt;&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Appends the contents of <code>map</code> to <code>appendable</code>, with entries
 separated by <code>entryDelimiter</code>, and keys and values separated with
 <code>keyValueSeparator</code>.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="join(java.lang.String, java.lang.Iterable)"><!-- --></A><H3>
join</H3>
<PRE>
public static <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>join</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;?&gt;&nbsp;tokens)</PRE>
<DL>
<DD>Returns a string containing the <code>tokens</code>, converted to strings if
 necessary, separated by <code>delimiter</code>. If <code>tokens</code> is empty, it
 returns an empty string.

 <p>Each token will be converted to a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> using
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html#valueOf(java.lang.Object)" title="class or interface in java.lang"><CODE>String.valueOf(Object)</CODE></A>, if it isn't a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> already.
 Note that this implies that null tokens will be appended as the
 four-character string <code>"null"</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>delimiter</CODE> - a string to append between every element, but not at the
     beginning or end<DD><CODE>tokens</CODE> - objects to append
<DT><B>Returns:</B><DD>a string consisting of the joined elements</DL>
</DD>
</DL>
<HR>

<A NAME="join(java.lang.String, java.lang.Object[])"><!-- --></A><H3>
join</H3>
<PRE>
public static <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>join</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;tokens)</PRE>
<DL>
<DD>Returns a string containing the <code>tokens</code>, converted to strings if
 necessary, separated by <code>delimiter</code>. If <code>tokens</code> is empty, it
 returns an empty string.

 <p>Each token will be converted to a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> using
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html#valueOf(java.lang.Object)" title="class or interface in java.lang"><CODE>String.valueOf(Object)</CODE></A>, if it isn't a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> already.
 Note that this implies that null tokens will be appended as the
 four-character string <code>"null"</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>delimiter</CODE> - a string to append between every element, but not at the
     beginning or end<DD><CODE>tokens</CODE> - objects to append
<DT><B>Returns:</B><DD>a string consisting of the joined elements</DL>
</DD>
</DL>
<HR>

<A NAME="join(java.lang.String, java.lang.Object, java.lang.Object...)"><!-- --></A><H3>
join</H3>
<PRE>
public static <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>join</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
                          <FONT SIZE="-1"><A HREF="../../../../com/google/common/base/Nullable.html" title="annotation in com.google.common.base">@Nullable</A></FONT>
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;firstToken,
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>...&nbsp;otherTokens)</PRE>
<DL>
<DD>Returns a string containing the <code>tokens</code>, converted to strings if
 necessary, separated by <code>delimiter</code>.

 <p>Each token will be converted to a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> using
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html#valueOf(java.lang.Object)" title="class or interface in java.lang"><CODE>String.valueOf(Object)</CODE></A>, if it isn't a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> already.
 Note that this implies that null tokens will be appended as the
 four-character string <code>"null"</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>delimiter</CODE> - a string to append between every element, but not at the
     beginning or end<DD><CODE>firstToken</CODE> - the first object to append<DD><CODE>otherTokens</CODE> - subsequent objects to append
<DT><B>Returns:</B><DD>a string consisting of the joined elements</DL>
</DD>
</DL>
<HR>

<A NAME="join(java.lang.String, java.util.Iterator)"><!-- --></A><H3>
join</H3>
<PRE>
public static <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>join</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;?&gt;&nbsp;tokens)</PRE>
<DL>
<DD>Returns a string containing the <code>tokens</code>, converted to strings if
 necessary, separated by <code>delimiter</code>. If <code>tokens</code> is empty, it
 returns an empty string.

 <p>Each token will be converted to a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> using
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html#valueOf(java.lang.Object)" title="class or interface in java.lang"><CODE>String.valueOf(Object)</CODE></A>, if it isn't a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> already.
 Note that this implies that null tokens will be appended as the
 four-character string <code>"null"</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>delimiter</CODE> - a string to append between every element, but not at the
     beginning or end<DD><CODE>tokens</CODE> - objects to append
<DT><B>Returns:</B><DD>a string consisting of the joined elements</DL>
</DD>
</DL>
<HR>

<A NAME="join(java.lang.String, java.lang.String, java.util.Map)"><!-- --></A><H3>
join</H3>
<PRE>
public static <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>join</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;keyValueSeparator,
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;entryDelimiter,
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;?,?&gt;&nbsp;map)</PRE>
<DL>
<DD>Returns a string containing the contents of <code>map</code>, with entries
 separated by <code>entryDelimiter</code>, and keys and values separated with
 <code>keyValueSeparator</code>.

 <p>Each key and value will be converted to a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> using
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html#valueOf(java.lang.Object)" title="class or interface in java.lang"><CODE>String.valueOf(Object)</CODE></A>, if it isn't a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> already.
 Note that this implies that null tokens will be appended as the
 four-character string <code>"null"</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>keyValueSeparator</CODE> - a string to append between every key and its
     associated value<DD><CODE>entryDelimiter</CODE> - a string to append between every entry, but not at
     the beginning or end<DD><CODE>map</CODE> - the map containing the data to join
<DT><B>Returns:</B><DD>a string consisting of the joined entries of the map; empty if the
     map is empty</DL>
</DD>
</DL>
<HR>

<A NAME="join(java.lang.Appendable,java.lang.String,java.lang.Iterable)"><!-- --></A><A NAME="join(T, java.lang.String, java.lang.Iterable)"><!-- --></A><H3>
join</H3>
<PRE>
public static &lt;T extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>&gt; T <B>join</B>(T&nbsp;appendable,
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;?&gt;&nbsp;tokens)</PRE>
<DL>
<DD>Appends each of the <code>tokens</code> to <code>appendable</code>, separated by
 <code>delimiter</code>.

 <p>Each token will be converted to a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> using
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html#valueOf(java.lang.Object)" title="class or interface in java.lang"><CODE>String.valueOf(Object)</CODE></A>, if it isn't a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> already.
 Note that this implies that null tokens will be appended as the
 four-character string <code>"null"</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>appendable</CODE> - the object to append the results to<DD><CODE>delimiter</CODE> - a string to append between every element, but not at the
     beginning or end<DD><CODE>tokens</CODE> - objects to append
<DT><B>Returns:</B><DD>the same <code>Appendable</code> instance that was passed in
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../com/google/common/base/Join.JoinException.html" title="class in com.google.common.base">Join.JoinException</A></CODE> - if an <A HREF="http://java.sun.com/javase/6/docs/api/java/io/IOException.html" title="class or interface in java.io"><CODE>IOException</CODE></A> occurs</DL>
</DD>
</DL>
<HR>

<A NAME="join(java.lang.Appendable,java.lang.String,java.lang.Object)"><!-- --></A><A NAME="join(T, java.lang.String, java.lang.Object[])"><!-- --></A><H3>
join</H3>
<PRE>
public static &lt;T extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>&gt; T <B>join</B>(T&nbsp;appendable,
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;tokens)</PRE>
<DL>
<DD>Appends each of the <code>tokens</code> to <code>appendable</code>, separated by
 <code>delimiter</code>.

 <p>Each token will be converted to a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> using
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html#valueOf(java.lang.Object)" title="class or interface in java.lang"><CODE>String.valueOf(Object)</CODE></A>, if it isn't a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> already.
 Note that this implies that null tokens will be appended as the
 four-character string <code>"null"</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>appendable</CODE> - the object to append the results to<DD><CODE>delimiter</CODE> - a string to append between every element, but not at the
     beginning or end<DD><CODE>tokens</CODE> - objects to append
<DT><B>Returns:</B><DD>the same <code>Appendable</code> instance that was passed in
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../com/google/common/base/Join.JoinException.html" title="class in com.google.common.base">Join.JoinException</A></CODE> - if an <A HREF="http://java.sun.com/javase/6/docs/api/java/io/IOException.html" title="class or interface in java.io"><CODE>IOException</CODE></A> occurs</DL>
</DD>
</DL>
<HR>

<A NAME="join(java.lang.Appendable,java.lang.String,java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="join(T, java.lang.String, java.lang.Object, java.lang.Object...)"><!-- --></A><H3>
join</H3>
<PRE>
public static &lt;T extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>&gt; T <B>join</B>(T&nbsp;appendable,
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
                                            <FONT SIZE="-1"><A HREF="../../../../com/google/common/base/Nullable.html" title="annotation in com.google.common.base">@Nullable</A></FONT>
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;firstToken,
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>...&nbsp;otherTokens)</PRE>
<DL>
<DD>Appends each of the <code>tokens</code> to <code>appendable</code>, separated by
 <code>delimiter</code>.

 <p>Each token will be converted to a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> using
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html#valueOf(java.lang.Object)" title="class or interface in java.lang"><CODE>String.valueOf(Object)</CODE></A>, if it isn't a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> already.
 Note that this implies that null tokens will be appended as the
 four-character string <code>"null"</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>appendable</CODE> - the object to append the results to<DD><CODE>delimiter</CODE> - a string to append between every element, but not at the
     beginning or end<DD><CODE>firstToken</CODE> - the first object to append<DD><CODE>otherTokens</CODE> - subsequent objects to append
<DT><B>Returns:</B><DD>the same <code>Appendable</code> instance that was passed in
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../com/google/common/base/Join.JoinException.html" title="class in com.google.common.base">Join.JoinException</A></CODE> - if an <A HREF="http://java.sun.com/javase/6/docs/api/java/io/IOException.html" title="class or interface in java.io"><CODE>IOException</CODE></A> occurs</DL>
</DD>
</DL>
<HR>

<A NAME="join(java.lang.Appendable,java.lang.String,java.util.Iterator)"><!-- --></A><A NAME="join(T, java.lang.String, java.util.Iterator)"><!-- --></A><H3>
join</H3>
<PRE>
public static &lt;T extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>&gt; T <B>join</B>(T&nbsp;appendable,
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;delimiter,
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;?&gt;&nbsp;tokens)</PRE>
<DL>
<DD>Appends each of the <code>tokens</code> to <code>appendable</code>, separated by
 <code>delimiter</code>.

 <p>Each token will be converted to a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> using
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html#valueOf(java.lang.Object)" title="class or interface in java.lang"><CODE>String.valueOf(Object)</CODE></A>, if it isn't a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> already.
 Note that this implies that null tokens will be appended as the
 four-character string <code>"null"</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>appendable</CODE> - the object to append the results to<DD><CODE>delimiter</CODE> - a string to append between every element, but not at the
     beginning or end<DD><CODE>tokens</CODE> - objects to append
<DT><B>Returns:</B><DD>the same <code>Appendable</code> instance that was passed in
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../com/google/common/base/Join.JoinException.html" title="class in com.google.common.base">Join.JoinException</A></CODE> - if an <A HREF="http://java.sun.com/javase/6/docs/api/java/io/IOException.html" title="class or interface in java.io"><CODE>IOException</CODE></A> occurs</DL>
</DD>
</DL>
<HR>

<A NAME="join(java.lang.Appendable,java.lang.String,java.lang.String,java.util.Map)"><!-- --></A><A NAME="join(T, java.lang.String, java.lang.String, java.util.Map)"><!-- --></A><H3>
join</H3>
<PRE>
public static &lt;T extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A>&gt; T <B>join</B>(T&nbsp;appendable,
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;keyValueSeparator,
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;entryDelimiter,
                                            <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;?,?&gt;&nbsp;map)</PRE>
<DL>
<DD>Appends the contents of <code>map</code> to <code>appendable</code>, with entries
 separated by <code>entryDelimiter</code>, and keys and values separated with
 <code>keyValueSeparator</code>.

 <p>Each key and value will be converted to a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> using
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html#valueOf(java.lang.Object)" title="class or interface in java.lang"><CODE>String.valueOf(Object)</CODE></A>, if it isn't a <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/CharSequence.html" title="class or interface in java.lang"><CODE>CharSequence</CODE></A> already.
 Note that this implies that null tokens will be appended as the
 four-character string <code>"null"</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>appendable</CODE> - the object to append the results to<DD><CODE>keyValueSeparator</CODE> - a string to append between every key and its
     associated value<DD><CODE>entryDelimiter</CODE> - a string to append between every entry, but not at
     the beginning or end<DD><CODE>map</CODE> - the map containing the data to join
<DT><B>Returns:</B><DD>the same <code>Appendable</code> instance that was passed in</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/google/common/base/Functions.html" title="class in com.google.common.base"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/google/common/base/Join.JoinException.html" title="class in com.google.common.base"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/google/common/base/Join.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Join.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
